<?php

namespace app\controller;

use app\model\User;
use support\Request;
use support\View;

class IndexController
{
    public function __construct()
    {
        View::assign(["nickname" => session('nickname', "未登录")]);
        View::assign([
            "header" => view('common/header')->rawBody(),
            "footer" => view('common/footer')->rawBody()
        ]);
    }
    public function index(Request $request)
    {
        return view('index/index');
    }

}
